<template>
  <div class="details">
    <div @click="onBack">
      <button class="back-button button-right">Back</button>
      <h1>{{ id }} - {{ messageVal.message }}</h1>
    </div>
  </div>
</template>

<script lang="ts" setup>
import { useCounterStore } from "@/stores/detailstate";
import { computed } from "vue";
import { useRoute } from "vue-router";
import router from "../router";

const id = computed(() => {
  const route = useRoute();
  return route.params.id;
});

const messageVal = computed(() => {
  return useCounterStore();
});

function onBack() {
  router.push({ path: "/" });
}
</script>

<style scoped>
.button-right {
  float: right !important;
  color: white;
  padding: 10px 20px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  margin-left: 5px;
}
.back-button {
  background-color: rgb(143, 135, 132);
}
.details {
  border: 2px solid #ebebeb;
  padding: 10px;
  margin: 10px;
  background-color: #f5f5f5;
  font-size: 16px;
  line-height: 1.5;
  color: #333;
  width: 500px;
  height: 500px;
  border-radius: 14px;
}
</style>
